<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Locations</title>
    <script src="https://code.jquery.com/jquery-1.10.2.js"></script>
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <div id="container" style="min-width: 300px; height: 400px; margin: 0 auto"></div>

</head>
<body>
<script type="text/javascript">
    var url = "https://www.my-stocks-pro.com/locations";
    $.get( url, function( data ) {
        console.log(data);

        var arr_from_json = JSON.parse( data );

        Highcharts.chart('container', {
            chart: {
                type: 'column'
            },
            title: {
                text: 'Locations of Downloads'
            },
            subtitle: {
                text: 'NB: since 10 Jan 2019'
            },
            xAxis: {
                type: 'category',
                labels: {
                    rotation: -45,
                    style: {
                        fontSize: '13px',
                        fontFamily: 'Verdana, sans-serif'
                    }
                }
            },
            yAxis: {
                min: 0,
                title: {
                    text: 'Count of downloads'
                }
            },
            legend: {
                enabled: false
            },
            tooltip: {
                pointFormat: ''
            },
            series: [{
                name: 'Count',
                data: arr_from_json,
                dataLabels: {
                    enabled: true,
                    rotation: -90,
                    color: '#FFFFFF',
                    align: 'right',
                    y: 10, // 10 pixels down from the top
                    style: {
                        fontSize: '13px',
                        fontFamily: 'Verdana, sans-serif'
                    }
                }
            }]
        });
    });

</script>
</body>
</html>